﻿:root {
    --primary-color: #8080c9;
    --secondery-color: #52525b;
    --background-color : #e6e6f4;




    
    --primary-color-600: #4f46e5;
    --secondery-color-yellow: #fbaf41;
    
    --neutral-50: #fafafa;

    --neutral-400: #a1a1aa;

    --neutral-700: #3f3f46;

}


html, body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
    font-family: Sans;
}

main {
    flex: 1;
}

a, .btn-link {
    border: none !important;
    box-shadow: none !important;
    outline: none !important;
    text-decoration: none !important;
}

a:active, .btn-link:active,
a:focus, .btn-link:focus,
a:hover, .btn-link:hover {
    border: none !important;
    box-shadow: none !important;
    outline: none !important;
    text-decoration: none !important;
}

h1:focus { outline: none; }

.m-t-24 { margin-top: 24px; }

.m-t-48 { margin-top: 48px; }

.img-rnd { border-radius: 12px; }
.cursor-hand {
    cursor: pointer;
}
.fb {
    font-family: SansB !important;
    font-weight: 700 !important;
}

.fen { font-family: SansE !important; }

.fen.fb {
    font-family: SansEB !important;
    font-weight: 700 !important;
}

.txd {
    text-decoration: underline;
    text-underline-offset: 8px;
}

.spinner {
    display: block;
    height: 1.25rem;
    margin: 0 !important;
    padding: 0 !important;
    width: 1.25rem;
}

.label-required::after {
    color: #ff6f62;
    content: " *";
}

i.red { color: #ff6f62; }

i.yellow { color: #feb74b; }

input, input:active, input:focus, input:focus-visible {
    border: none;
    outline: none;
}

button {
    background: none;
    border: none;
    outline: none;
}

button:active, button:focus, button:focus-visible {
    outline: none;
}

a, a:active, a:focus, a:focus-visible {
    background: none;
    border: none;
    color: unset;
    outline: none;
    text-decoration: none;
}

textarea {
    resize: none;
    border: none;
    outline: none;
}

.isax,
.isax-b {
    font-size: 24px;
    vertical-align: middle;
}



.accordion-button:focus {
    box-shadow: none;
    outline: none;
}

.accordion-button:not(.collapsed) {
    background-color: transparent;
    border-color: transparent;
    box-shadow: none;
    color: inherit;
}

.accordion-button {
    background-color: transparent;
    border: none;
    box-shadow: none;
    color: inherit;
}

.carousel-indicators button {
    background-color: #f0f0f0 !important;
    border: none;
    color: #f0f0f0;
    height: 7px !important;
    margin: 0 4px !important;
    transition: background-color 0.3s ease !important;
    width: 56px !important;
}

.carousel-indicators .active {
    background-color: var(--secondery-color-yellow) !important;
    height: 7px;
    width: 56px;
}

.dropdown-menu {
    padding: 16px 8px;
    margin-top: 16px;
    border-radius: 12px;
    box-shadow: 0px 0px 6px 0px rgba(199, 199, 199, 0.40);
}

.modal-content {
    max-width: 296px;
    border: none;
}
/*.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}*/
.invalid {
    background: rgba(217, 217, 217, 0.00);
    border: none !important;
    border-radius: 10px;
    box-shadow: 0 0 4px 0 rgba(255, 111, 98, 0.50);
    outline: 1px solid #ff6f62;
}

.validation-message { color: #e50000; }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    color: white;
    padding: 1rem 1rem 1rem 3.7rem;
}

.blazor-error-boundary::after { content: "An error has occurred." }